from odoo import models, fields, api

class SOS_Return_FG_Register(models.Model):
    _name = 'sos_return_fg_register'
    _description = 'Return FG Register'
    _rec_name = 'mrn_no'
    _order = 'mrn_no desc' 
    
    mrn_no = fields.Many2one('sos_mrn', string="MRN Ref No",readonly=True)
    customer_name = fields.Char(string="Customer Name")
    date = fields.Datetime(string="Date")
    fg_name = fields.Many2one('sos_fg',string="FG Name")
    lot_no = fields.Char(string="Serial No")
    returned_quantity = fields.Integer(string="Returned Quantity")
    reason_for_return = fields.Text(string="Reason for Return")
